# Understanding Business Data

## Understanding Enriched CustomAttributes of Business

This section includes all the enriched custom attributes returned by Business Validation PDP's.&#x20;

Please note that Custom attributes are available exclusively for successful business validation matches. In cases where there is no match or ambiguity, only the business\_ver\_code will be shown.

**business\_name**

Main/Legal name of the business entity.

[**business\_ver\_code**](/harmony-suite/user-guides/version-3.0.0/business-lookup-and-validation/guides/understanding-business-verification-code.md)

Reliability indicator of validated business.

**business\_country**

Country ISO2 code. (e.g. AU/NZ)

**businsess\_bn**

Business number of the entity.

**business\_postcode**

Postcode of the business entity.

**business\_state**

State of the business entity.

**business\_name\_entity\_type**

Type of the name of the entity. MN → Main Entity Name; LGL → legal Entity Name.&#x20;

**business\_other\_entities**

One business can have a list of other business entities like other trading name, other business names etc.&#x20;

* entity\_name: The name of the business entity.
* entity\_type: Denotes the type of entity, categorized as follows: TRD for trading name, BN for business name, OTN for other name, and DGR for DGR name."

**business\_last\_updated\_date**

The last updated date.

**business\_bn\_status**

Status of the business number. ACT -> Active, CAN -> Cancelled.

**business\_bn\_status\_from\_date**

Date of the business number from

**business\_entity\_type\_ind**

Indicator of the entity type with description the business\_entity\_type\_text field.&#x20;

**business\_entity\_type\_text**

Description for the business\_entity\_type\_ind value.

**business\_tax\_status**

The status of the GST. ACT -> Active, CAN -> Cancelled, NON -> None.

**business\_tax\_status\_from\_date**

The date for the business\_tax\_status valu&#x65;*.* If business\_tax\_status is NON, date value is 19000101.

**Below are some response attributes that are specific to New\_Zealand Business Validation. User can see these from samples detailed in** [**Sample Request and Response for New\_Zealand**](/harmony-suite/user-guides/version-3.0.0/business-lookup-and-validation/business-validation/business-validation-using-harmony-ws.md#sample-request-and-response-for-new-zealand)**.**

business\_registration\_date

business\_detailed\_bn\_status

business\_month\_in\_business

business\_shareholding

<details>

<summary>CustomAttributes for Australian Business</summary>

```json
"customAttributes":
{
  "business_name": "ANDREA CONE",
  "business_tax_status_from_date": "19000101",
  "business_display_name": "ANDREA CONE Trading As Andrea Cone Farran",
  "business_ver_code": "TradingName_1_0.5",
  "business_name_entity_type": "LGL",
  "business_bn": "61280082595",
  "business_entity_type_ind": "IND",
  "business_postcode": "3004",
  "business_bn_status_from_date": "20080909",
  "business_entity_type_text": "Individual/Sole Trader",
  "business_country": "au",
  "business_month_in_business": "184",
  "business_last_updated_date": "20100510",
  "business_other_entities": "[{\"entity_name\":\"Andrea Cone Farran\",\"entity_type\":\"TRD\"}]",
  "business_bn_status": "ACT",
  "business_tax_status": "NON",
  "business_state": "VIC"
}
```

</details>

<details>

<summary>CustomAttributes for New_Zealand Business</summary>

```json
"customAttributes":
{
  "business_name": "R & L PILGRIM LIMITED",
  "business_display_name": "R & L PILGRIM LIMITED Trading As The Pin Tin",
  "business_ver_code": "TradingName_1_1.0",
  "business_bn_start_date": "2014-03-03T17:06:31",
  "business_name_entity_type": "MN",
  "business_cn_type": "LTD",
  "business_bn": "9429041121481",
  "business_cn": "4979800",
  "business_entity_type_ind": "LTD",
  "business_postcode": "7930",
  "business_shareholding": "[{\"numberOfShares\":\"1000\",\"shareAllocation\":[{\"allocation\":\"500\",\"shareholder\":[{\"appointmentDate\":\"2014-03-03T17:06:31\",\"individualShareholder\":[{\"firstName\":\"Reon\",\"fullName\":\"Reon David PILGRIM\",\"lastName\":\"PILGRIM\",\"middleNames\":\"David\"}],\"otherShareholder\":[],\"shareholderAddress\":[],\"type\":\"director\"}]},{\"allocation\":\"500\",\"shareholder\":[{\"appointmentDate\":\"2016-01-12T08:46:57\",\"individualShareholder\":[{\"firstName\":\"Lisa\",\"fullName\":\"Lisa Dawn PILGRIM\",\"lastName\":\"PILGRIM\",\"middleNames\":\"Dawn\"}],\"otherShareholder\":[],\"shareholderAddress\":[],\"type\":\"individual\"}]}]}]",
  "business_bn_status_from_date": "2014-03-03T17:06:31",
  "business_registration_date": "2014-03-03T17:06:31",
  "business_detailed_bn_status": "50 (Registered)",
  "business_entity_type_text": "NZ Limited Company",
  "business_country": "nz",
  "business_month_in_business": "119",
  "business_last_updated_date": "2020-10-28T13:03:50",
  "business_other_entities": "[{\"entity_name\":\"The Pin Tin\",\"entity_type\":\"TRD\"}]",
  "business_bn_status": "ACT"
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mastersoftgroup.com/harmony-suite/user-guides/version-3.0.0/business-lookup-and-validation/guides/understanding-business-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
